package net.qihoo.launcher.widget.clockweather; 
import com.qihoo.weather.data.entity.City;
import net.qihoo.launcher.widget.clockweather.bean.WeatherForecast;
import net.qihoo.launcher.widget.clockweather.bean.WeatherCondition;
import net.qihoo.clockweather.info.WeatherConditionNew;
import net.qihoo.clockweather.kinship.KinshipInfo;
import net.qihoo.clockweather.kinship.CityKinshipInfo;

interface WeatherRemoteService {  

    City getWidgetViewCity();
    
    WeatherCondition getWeatherCondition(String cityCode);
    
    boolean isLocating(); 
    
    int getCitySize();
    
    //双进程相关
    List<City> getCityList();
    long addCity(in City city);
    boolean setDefaultCity(int i);
    boolean sortCities(in int[] cityIndexs);
    boolean removeCity(int index);
    boolean isUpdating(long cityId);
    boolean isDownloading(String url);
    
    String getPreferenceValue(String fileName, String key, String defValue, int type);
    void setPreferenceValue(String fileName, String key, String value, int type);
    
    CityKinshipInfo getKinship(String cityCode);
    void deleteKinship(in KinshipInfo kinshipInfos);
    void deleteCityKinship(String cityCode);
    void saveKinship(in KinshipInfo[] kinship);
    
    boolean isVoicePlaying();
    
    void weatherAction(String key);
} 